--
-- Addon for moveable Farmerarm
-- Addon für beweglichen Farmerarm
--
-- @author Aranea
-- @date  01/02/2013
-- @update  27/08/2014
-- @update  16/04/2017 by DeutzFahrer112
--
-- @v1.0 basic
-- @v1.1 update
--
-- Copyright (C) Aranea, All Rights Reserved.
--

FarmerArm = {};

function FarmerArm.prerequisitesPresent(specializations)
	return true;
end;

function FarmerArm:load(savegame)
	self.leftArm = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.characterNode1#leftArm"));
	self.rightArm = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.characterNode1#rightArm"));
	self.body = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.characterNode1#body"));
	self.index = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.characterNode1#index"));
	
	setVisibility(self.leftArm, false);
	setVisibility(self.rightArm, false);
	setVisibility(self.body, false);
	setVisibility(self.index, false);
end;

function FarmerArm:postLoad(savegame)
end;

function FarmerArm:delete()
end;

function FarmerArm:readStream(streamId, connection)
end;

function FarmerArm:writeStream(streamId, connection)
end;

function FarmerArm:mouseEvent(posX, posY, isDown, isUp, button)
end;

function FarmerArm:keyEvent(unicode, sym, modifier, isDown)
end;

function FarmerArm:update(dt)

	if self.isEntered then
		if self.camIndex==2 then
			setVisibility(self.leftArm, true);
			setVisibility(self.rightArm, true);
			setVisibility(self.body, true);
			setVisibility(self.index, false);
		else
			setVisibility(self.leftArm, true);
			setVisibility(self.rightArm, true);
			setVisibility(self.body, true);
			setVisibility(self.index, true);
		end;
	end;

end;

function FarmerArm:updateTick(dt)
end;

function FarmerArm:draw()
end;

function FarmerArm:onEnter()
	
end;

function FarmerArm:onLeave()
	setVisibility(self.leftArm, false);
	setVisibility(self.rightArm, false);
	setVisibility(self.body, false);
	setVisibility(self.index, false);
end;
